XISUITEDokumentation

Active Timers

3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Get current user's active timer#

GET/active-timersToken

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/active-timers" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Start a timer on a task#

POST/active-timersToken

Request-Bodyapplication/jsonStartTimerDto

NameTypBeschreibung
task_idPflichtstring–
taskIdstring

Legacy Next.js body alias

organizationIdstring

Legacy body value ignored; org is derived from auth context

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/active-timers" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"task_id":"…"}'

Stop timer and log a time entry#

DELETE/active-timers/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonStopTimerDto

NameTypBeschreibung
notestring–
organizationIdstring

Legacy body value ignored; org is derived from auth context

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/active-timers/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"note":"…","organizationId":"…"}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions